Bug 131194 - iRiver IFP-890 not associated with usb-storage
iRiver IFP-890 not associated with usb-storage
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-28 15:02 EDT by Tim Waugh
Modified: 2015-01-04 17:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 14:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-08-28 15:02:36 EDT
Description of problem:
Plugging in an iRiver IFP-890 audio device just gives this in dmesg:

usb 2-1: new full speed USB device using address 2

Version-Release number of selected component (if applicable):
2.6.8-1.521

How reproducible:
100%

Additional info:

Here's what /prob/bus/usb/devices says about it:

T:  Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=4102 ProdID=1008 Rev= 1.00
S:  Manufacturer=iRiver Limited.
S:  Product=iRiver Internet Audio Player IFP-800
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms

I'm pretty sure this device works as USB storage; other similar
products made by the same vendor do.
Comment 1 Ken Prox 2004-10-21 12:59:35 EDT
Just bought that very MP3 player yesterday, this problem is
reproducible for me as well.

Though it appears it is a firmware issue with the IRiver device itself.

Out oof the box, it does not support the usb-storage mechanism in
Linux, or Windows I might add.  This can be cured by updating the
devices firmware to a version that supports UMS, the firmware can be
downloaded here:
http://www.iriver.com/support/download.asp

You can either update the firmware using the Windows software that was
included with the unit, or you can do as I did, and use ipf-line to
install the new firmware.  The ipf-line tool can be found here:

http://sourceforge.net/projects/ifp-driver/

After downloading the UMS firmware into the IRiver device, it works
with both the Linux and Windows usb-storage subsystem.
Comment 2 Tim Waugh 2004-10-21 14:48:32 EDT
Yes, this should be NOTABUG (sorry, forgot I filed it).

Note You need to log in before you can comment on or make changes to this bug.